%define srcname	jupyter-cache

Name:		python-jupyter-cache
Version:	0.5.0
Release:	%mkrel 2
Summary:	A defined interface for working with a cache of jupyter notebooks
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/jupyter-cache/
Source0:	https://pypi.python.org/packages/source/j/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
A defined interface for working with a cache of jupyter notebooks

%package -n python3-jupyter-cache
Summary:	A defined interface for working with a cache of jupyter notebooks
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-jupyter-cache
A defined interface for working with a cache of jupyter notebooks

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_cache

%files -n python3-jupyter-cache -f %{pyproject_files}
%_bindir/jcache


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.5.0-2.mga10
+ Revision: 2035842
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 0.5.0-1.mga9
+ Revision: 1885641
- imported package python-jupyter-cache

